<?xml version="1.0" encoding="UTF-8"?>
<project name="module_vlookup" default="compile.module.vlookup">
  <dirname property="module.vlookup.basedir" file="${ant.file.module_vlookup}"/>
  
  <property name="module.jdk.home.vlookup" value="${jdk.home.1.8}"/>
  <property name="module.jdk.bin.vlookup" value="${jdk.bin.1.8}"/>
  <property name="module.jdk.classpath.vlookup" value="jdk.classpath.1.8"/>
  
  <property name="compiler.args.vlookup" value="-encoding UTF-8 -source 8 -target 8 ${compiler.args}"/>
  
  <property name="vlookup.output.dir" value="${module.vlookup.basedir}/../out/production/vlookup"/>
  <property name="vlookup.testoutput.dir" value="${module.vlookup.basedir}/../out/test/vlookup"/>
  
  <path id="vlookup.module.bootclasspath">
    <!-- Paths to be included in compilation bootclasspath -->
  </path>
  
  <path id="vlookup.module.production.classpath">
    <path refid="${module.jdk.classpath.vlookup}"/>
    <pathelement location="${basedir}/lib/TableLayout.jar"/>
    <pathelement location="${basedir}/lib/aether-api-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-connector-basic-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-impl-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-spi-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-file-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-http-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-wagon-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-util-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/allure-report-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/aopalliance-1.0.jar"/>
    <pathelement location="${basedir}/lib/asm-3.3.1.jar"/>
    <pathelement location="${basedir}/lib/bson-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2-sources.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2.jar"/>
    <pathelement location="${basedir}/lib/cdi-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/clay-aether-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-maven-settings-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-utils-2.3.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.6.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.9.jar"/>
    <pathelement location="${basedir}/lib/commons-io-2.4.jar"/>
    <pathelement location="${basedir}/lib/commons-lang-2.6.jar"/>
    <pathelement location="${basedir}/lib/commons-lang3-3.3.2.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.2.jar"/>
    <pathelement location="${basedir}/lib/cucumber-core-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/cucumber-expressions-6.1.0.jar"/>
    <pathelement location="${basedir}/lib/cucumber-java-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/datatable-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/datatable-dependencies-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/extentreports-4.0.9.jar"/>
    <pathelement location="${basedir}/lib/extentreports-cucumber4-adapter-1.0.7.jar"/>
    <pathelement location="${basedir}/lib/freemarker-2.3.23.jar"/>
    <pathelement location="${basedir}/lib/gherkin-5.1.0.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.4.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.5.jar"/>
    <pathelement location="${basedir}/lib/guava-10.0.1.jar"/>
    <pathelement location="${basedir}/lib/guava-19.0.jar"/>
    <pathelement location="${basedir}/lib/hamcrest-core-1.3.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.2.6.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.3.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.4.4.jar"/>
    <pathelement location="${basedir}/lib/httpmime-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/intellij_forms_rt.jar"/>
    <pathelement location="${basedir}/lib/jackson-annotations-2.9.0.jar"/>
    <pathelement location="${basedir}/lib/jackson-core-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jackson-databind-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jansi-1.15.jar"/>
    <pathelement location="${basedir}/lib/javax.inject-1.jar"/>
    <pathelement location="${basedir}/lib/jcl-over-slf4j-1.6.2.jar"/>
    <pathelement location="${basedir}/lib/jgiven-core-0.18.2.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-common.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-forms.jar"/>
    <pathelement location="${basedir}/lib/jna-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/jsch-0.1.50.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.connector-factory-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.core-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.jsch-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.pageant-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.sshagent-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-jna-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-nc-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/json-20180130.jar"/>
    <pathelement location="${basedir}/lib/jsoup-1.7.2.jar"/>
    <pathelement location="${basedir}/lib/jsr250-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/jsr305-1.3.9.jar"/>
    <pathelement location="${basedir}/lib/junit-4.12.jar"/>
    <pathelement location="${basedir}/lib/log4j-1.2.17.jar"/>
    <pathelement location="${basedir}/lib/maven-aether-provider-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-repository-metadata-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/miglayout-core.jar"/>
    <pathelement location="${basedir}/lib/miglayout-swing.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-core-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.inject-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.plexus-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/paranamer-2.8.jar"/>
    <pathelement location="${basedir}/lib/platform-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/plexus-cipher-1.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-classworlds-2.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-component-annotations-1.5.5.jar"/>
    <pathelement location="${basedir}/lib/plexus-interactivity-api-1.0-alpha-6.jar"/>
    <pathelement location="${basedir}/lib/plexus-interpolation-1.16.jar"/>
    <pathelement location="${basedir}/lib/plexus-sec-dispatcher-1.3.jar"/>
    <pathelement location="${basedir}/lib/plexus-utils-3.0.10.jar"/>
    <pathelement location="${basedir}/lib/reportbuilder-1.0.3.jar"/>
    <pathelement location="${basedir}/lib/sisu-guice-3.1.0-no_aop.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.25.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/slf4j-log4j12-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/tag-expressions-1.1.1.jar"/>
    <pathelement location="${basedir}/lib/wagon-file-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-lightweight-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-shared-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-provider-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-common-2.6.jar"/>
  </path>
  
  <path id="vlookup.runtime.production.module.classpath">
    <pathelement location="${vlookup.output.dir}"/>
    <pathelement location="${basedir}/lib/TableLayout.jar"/>
    <pathelement location="${basedir}/lib/aether-api-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-connector-basic-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-impl-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-spi-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-file-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-http-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-wagon-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-util-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/allure-report-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/aopalliance-1.0.jar"/>
    <pathelement location="${basedir}/lib/asm-3.3.1.jar"/>
    <pathelement location="${basedir}/lib/bson-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2-sources.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2.jar"/>
    <pathelement location="${basedir}/lib/cdi-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/clay-aether-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-maven-settings-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-utils-2.3.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.6.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.9.jar"/>
    <pathelement location="${basedir}/lib/commons-io-2.4.jar"/>
    <pathelement location="${basedir}/lib/commons-lang-2.6.jar"/>
    <pathelement location="${basedir}/lib/commons-lang3-3.3.2.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.2.jar"/>
    <pathelement location="${basedir}/lib/cucumber-core-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/cucumber-expressions-6.1.0.jar"/>
    <pathelement location="${basedir}/lib/cucumber-java-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/datatable-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/datatable-dependencies-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/extentreports-4.0.9.jar"/>
    <pathelement location="${basedir}/lib/extentreports-cucumber4-adapter-1.0.7.jar"/>
    <pathelement location="${basedir}/lib/freemarker-2.3.23.jar"/>
    <pathelement location="${basedir}/lib/gherkin-5.1.0.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.4.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.5.jar"/>
    <pathelement location="${basedir}/lib/guava-10.0.1.jar"/>
    <pathelement location="${basedir}/lib/guava-19.0.jar"/>
    <pathelement location="${basedir}/lib/hamcrest-core-1.3.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.2.6.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.3.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.4.4.jar"/>
    <pathelement location="${basedir}/lib/httpmime-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/intellij_forms_rt.jar"/>
    <pathelement location="${basedir}/lib/jackson-annotations-2.9.0.jar"/>
    <pathelement location="${basedir}/lib/jackson-core-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jackson-databind-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jansi-1.15.jar"/>
    <pathelement location="${basedir}/lib/javax.inject-1.jar"/>
    <pathelement location="${basedir}/lib/jcl-over-slf4j-1.6.2.jar"/>
    <pathelement location="${basedir}/lib/jgiven-core-0.18.2.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-common.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-forms.jar"/>
    <pathelement location="${basedir}/lib/jna-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/jsch-0.1.50.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.connector-factory-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.core-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.jsch-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.pageant-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.sshagent-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-jna-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-nc-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/json-20180130.jar"/>
    <pathelement location="${basedir}/lib/jsoup-1.7.2.jar"/>
    <pathelement location="${basedir}/lib/jsr250-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/jsr305-1.3.9.jar"/>
    <pathelement location="${basedir}/lib/junit-4.12.jar"/>
    <pathelement location="${basedir}/lib/log4j-1.2.17.jar"/>
    <pathelement location="${basedir}/lib/maven-aether-provider-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-repository-metadata-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/miglayout-core.jar"/>
    <pathelement location="${basedir}/lib/miglayout-swing.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-core-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.inject-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.plexus-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/paranamer-2.8.jar"/>
    <pathelement location="${basedir}/lib/platform-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/plexus-cipher-1.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-classworlds-2.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-component-annotations-1.5.5.jar"/>
    <pathelement location="${basedir}/lib/plexus-interactivity-api-1.0-alpha-6.jar"/>
    <pathelement location="${basedir}/lib/plexus-interpolation-1.16.jar"/>
    <pathelement location="${basedir}/lib/plexus-sec-dispatcher-1.3.jar"/>
    <pathelement location="${basedir}/lib/plexus-utils-3.0.10.jar"/>
    <pathelement location="${basedir}/lib/reportbuilder-1.0.3.jar"/>
    <pathelement location="${basedir}/lib/sisu-guice-3.1.0-no_aop.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.25.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/slf4j-log4j12-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/tag-expressions-1.1.1.jar"/>
    <pathelement location="${basedir}/lib/wagon-file-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-lightweight-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-shared-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-provider-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-common-2.6.jar"/>
  </path>
  
  <path id="vlookup.module.classpath">
    <path refid="${module.jdk.classpath.vlookup}"/>
    <pathelement location="${vlookup.output.dir}"/>
    <pathelement location="${basedir}/lib/TableLayout.jar"/>
    <pathelement location="${basedir}/lib/aether-api-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-connector-basic-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-impl-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-spi-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-file-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-http-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-wagon-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-util-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/allure-report-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/aopalliance-1.0.jar"/>
    <pathelement location="${basedir}/lib/asm-3.3.1.jar"/>
    <pathelement location="${basedir}/lib/bson-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2-sources.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2.jar"/>
    <pathelement location="${basedir}/lib/cdi-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/clay-aether-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-maven-settings-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-utils-2.3.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.6.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.9.jar"/>
    <pathelement location="${basedir}/lib/commons-io-2.4.jar"/>
    <pathelement location="${basedir}/lib/commons-lang-2.6.jar"/>
    <pathelement location="${basedir}/lib/commons-lang3-3.3.2.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.2.jar"/>
    <pathelement location="${basedir}/lib/cucumber-core-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/cucumber-expressions-6.1.0.jar"/>
    <pathelement location="${basedir}/lib/cucumber-java-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/datatable-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/datatable-dependencies-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/extentreports-4.0.9.jar"/>
    <pathelement location="${basedir}/lib/extentreports-cucumber4-adapter-1.0.7.jar"/>
    <pathelement location="${basedir}/lib/freemarker-2.3.23.jar"/>
    <pathelement location="${basedir}/lib/gherkin-5.1.0.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.4.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.5.jar"/>
    <pathelement location="${basedir}/lib/guava-10.0.1.jar"/>
    <pathelement location="${basedir}/lib/guava-19.0.jar"/>
    <pathelement location="${basedir}/lib/hamcrest-core-1.3.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.2.6.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.3.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.4.4.jar"/>
    <pathelement location="${basedir}/lib/httpmime-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/intellij_forms_rt.jar"/>
    <pathelement location="${basedir}/lib/jackson-annotations-2.9.0.jar"/>
    <pathelement location="${basedir}/lib/jackson-core-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jackson-databind-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jansi-1.15.jar"/>
    <pathelement location="${basedir}/lib/javax.inject-1.jar"/>
    <pathelement location="${basedir}/lib/jcl-over-slf4j-1.6.2.jar"/>
    <pathelement location="${basedir}/lib/jgiven-core-0.18.2.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-common.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-forms.jar"/>
    <pathelement location="${basedir}/lib/jna-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/jsch-0.1.50.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.connector-factory-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.core-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.jsch-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.pageant-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.sshagent-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-jna-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-nc-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/json-20180130.jar"/>
    <pathelement location="${basedir}/lib/jsoup-1.7.2.jar"/>
    <pathelement location="${basedir}/lib/jsr250-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/jsr305-1.3.9.jar"/>
    <pathelement location="${basedir}/lib/junit-4.12.jar"/>
    <pathelement location="${basedir}/lib/log4j-1.2.17.jar"/>
    <pathelement location="${basedir}/lib/maven-aether-provider-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-repository-metadata-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/miglayout-core.jar"/>
    <pathelement location="${basedir}/lib/miglayout-swing.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-core-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.inject-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.plexus-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/paranamer-2.8.jar"/>
    <pathelement location="${basedir}/lib/platform-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/plexus-cipher-1.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-classworlds-2.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-component-annotations-1.5.5.jar"/>
    <pathelement location="${basedir}/lib/plexus-interactivity-api-1.0-alpha-6.jar"/>
    <pathelement location="${basedir}/lib/plexus-interpolation-1.16.jar"/>
    <pathelement location="${basedir}/lib/plexus-sec-dispatcher-1.3.jar"/>
    <pathelement location="${basedir}/lib/plexus-utils-3.0.10.jar"/>
    <pathelement location="${basedir}/lib/reportbuilder-1.0.3.jar"/>
    <pathelement location="${basedir}/lib/sisu-guice-3.1.0-no_aop.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.25.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/slf4j-log4j12-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/tag-expressions-1.1.1.jar"/>
    <pathelement location="${basedir}/lib/wagon-file-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-lightweight-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-shared-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-provider-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-common-2.6.jar"/>
  </path>
  
  <path id="vlookup.runtime.module.classpath">
    <pathelement location="${vlookup.testoutput.dir}"/>
    <pathelement location="${vlookup.output.dir}"/>
    <pathelement location="${basedir}/lib/TableLayout.jar"/>
    <pathelement location="${basedir}/lib/aether-api-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-connector-basic-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-impl-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-spi-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-file-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-http-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-transport-wagon-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/aether-util-1.0.0.v20140518.jar"/>
    <pathelement location="${basedir}/lib/allure-report-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/aopalliance-1.0.jar"/>
    <pathelement location="${basedir}/lib/asm-3.3.1.jar"/>
    <pathelement location="${basedir}/lib/bson-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2-sources.jar"/>
    <pathelement location="${basedir}/lib/byte-buddy-1.9.2.jar"/>
    <pathelement location="${basedir}/lib/cdi-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/clay-aether-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-maven-settings-builder-2.3.jar"/>
    <pathelement location="${basedir}/lib/clay-utils-2.3.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.6.jar"/>
    <pathelement location="${basedir}/lib/commons-codec-1.9.jar"/>
    <pathelement location="${basedir}/lib/commons-io-2.4.jar"/>
    <pathelement location="${basedir}/lib/commons-lang-2.6.jar"/>
    <pathelement location="${basedir}/lib/commons-lang3-3.3.2.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/commons-logging-1.2.jar"/>
    <pathelement location="${basedir}/lib/cucumber-core-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/cucumber-expressions-6.1.0.jar"/>
    <pathelement location="${basedir}/lib/cucumber-java-4.0.1.jar"/>
    <pathelement location="${basedir}/lib/datatable-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/datatable-dependencies-1.1.3.jar"/>
    <pathelement location="${basedir}/lib/extentreports-4.0.9.jar"/>
    <pathelement location="${basedir}/lib/extentreports-cucumber4-adapter-1.0.7.jar"/>
    <pathelement location="${basedir}/lib/freemarker-2.3.23.jar"/>
    <pathelement location="${basedir}/lib/gherkin-5.1.0.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.4.jar"/>
    <pathelement location="${basedir}/lib/gson-2.8.5.jar"/>
    <pathelement location="${basedir}/lib/guava-10.0.1.jar"/>
    <pathelement location="${basedir}/lib/guava-19.0.jar"/>
    <pathelement location="${basedir}/lib/hamcrest-core-1.3.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.2.6.jar"/>
    <pathelement location="${basedir}/lib/httpclient-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.3.jar"/>
    <pathelement location="${basedir}/lib/httpcore-4.4.4.jar"/>
    <pathelement location="${basedir}/lib/httpmime-4.5.2.jar"/>
    <pathelement location="${basedir}/lib/intellij_forms_rt.jar"/>
    <pathelement location="${basedir}/lib/jackson-annotations-2.9.0.jar"/>
    <pathelement location="${basedir}/lib/jackson-core-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jackson-databind-2.9.4.jar"/>
    <pathelement location="${basedir}/lib/jansi-1.15.jar"/>
    <pathelement location="${basedir}/lib/javax.inject-1.jar"/>
    <pathelement location="${basedir}/lib/jcl-over-slf4j-1.6.2.jar"/>
    <pathelement location="${basedir}/lib/jgiven-core-0.18.2.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-common.jar"/>
    <pathelement location="${basedir}/lib/jgoodies-forms.jar"/>
    <pathelement location="${basedir}/lib/jna-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/jsch-0.1.50.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.connector-factory-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.core-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.jsch-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.pageant-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.sshagent-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-jna-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/jsch.agentproxy.usocket-nc-0.0.6.jar"/>
    <pathelement location="${basedir}/lib/json-20180130.jar"/>
    <pathelement location="${basedir}/lib/jsoup-1.7.2.jar"/>
    <pathelement location="${basedir}/lib/jsr250-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/jsr305-1.3.9.jar"/>
    <pathelement location="${basedir}/lib/junit-4.12.jar"/>
    <pathelement location="${basedir}/lib/log4j-1.2.17.jar"/>
    <pathelement location="${basedir}/lib/maven-aether-provider-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-model-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-repository-metadata-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/maven-settings-builder-3.1.0.jar"/>
    <pathelement location="${basedir}/lib/miglayout-core.jar"/>
    <pathelement location="${basedir}/lib/miglayout-swing.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/mongodb-driver-core-3.3.0.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.inject-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/org.eclipse.sisu.plexus-0.0.0.M2a.jar"/>
    <pathelement location="${basedir}/lib/paranamer-2.8.jar"/>
    <pathelement location="${basedir}/lib/platform-3.4.0.jar"/>
    <pathelement location="${basedir}/lib/plexus-cipher-1.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-classworlds-2.4.jar"/>
    <pathelement location="${basedir}/lib/plexus-component-annotations-1.5.5.jar"/>
    <pathelement location="${basedir}/lib/plexus-interactivity-api-1.0-alpha-6.jar"/>
    <pathelement location="${basedir}/lib/plexus-interpolation-1.16.jar"/>
    <pathelement location="${basedir}/lib/plexus-sec-dispatcher-1.3.jar"/>
    <pathelement location="${basedir}/lib/plexus-utils-3.0.10.jar"/>
    <pathelement location="${basedir}/lib/reportbuilder-1.0.3.jar"/>
    <pathelement location="${basedir}/lib/sisu-guice-3.1.0-no_aop.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.25.jar"/>
    <pathelement location="${basedir}/lib/slf4j-api-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/slf4j-log4j12-1.7.5.jar"/>
    <pathelement location="${basedir}/lib/tag-expressions-1.1.1.jar"/>
    <pathelement location="${basedir}/lib/wagon-file-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-lightweight-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-http-shared-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-provider-api-1.0.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-2.6.jar"/>
    <pathelement location="${basedir}/lib/wagon-ssh-common-2.6.jar"/>
  </path>
  
  
  <patternset id="excluded.from.module.vlookup">
    <patternset refid="ignored.files"/>
  </patternset>
  
  <patternset id="excluded.from.compilation.vlookup">
    <patternset refid="excluded.from.module.vlookup"/>
  </patternset>
  
  <path id="vlookup.module.sourcepath">
    <dirset dir="${module.vlookup.basedir}/../../vlookup">
      <include name="src"/>
    </dirset>
  </path>
  
  
  <target name="compile.module.vlookup" depends="compile.module.vlookup.production,compile.module.vlookup.tests" description="Compile module vlookup"/>
  
  <target name="compile.module.vlookup.production" depends="register.custom.compilers" description="Compile module vlookup; production classes">
    <mkdir dir="${vlookup.output.dir}"/>
    <javac2 destdir="${vlookup.output.dir}" debug="${compiler.debug}" nowarn="${compiler.generate.no.warnings}" memorymaximumsize="${compiler.max.memory}" fork="true" executable="${module.jdk.bin.vlookup}/javac">
      <compilerarg line="${compiler.args.vlookup}"/>
      <bootclasspath refid="vlookup.module.bootclasspath"/>
      <classpath refid="vlookup.module.production.classpath"/>
      <src refid="vlookup.module.sourcepath"/>
      <patternset refid="excluded.from.compilation.vlookup"/>
    </javac2>
    
    <copy todir="${vlookup.output.dir}">
      <fileset dir="${module.vlookup.basedir}/../src">
        <patternset refid="compiler.resources"/>
        <type type="file"/>
      </fileset>
    </copy>
  </target>
  
  <target name="compile.module.vlookup.tests" depends="register.custom.compilers,compile.module.vlookup.production" description="compile module vlookup; test classes" unless="skip.tests"/>
  
  <target name="clean.module.vlookup" description="cleanup module">
    <delete dir="${vlookup.output.dir}"/>
    <delete dir="${vlookup.testoutput.dir}"/>
  </target>
</project>